Skip to main content

Settle Recovery Claim

POST 

/api/repairs/recovery-claims/:claim/settle

Settle Recovery Claim.

Required scope: repairs:write

Grant this scope to your token under Settings → Developer → Personal Access Tokens.

Request fields:

  • method (required): In:in:"vendor_credit","free_of_charge"
  • nominal_code_id (optional): integer, exists:nominal_codes,id
  • credit_date (optional): date_format:Y-m-d
  • supplier_reference (optional): string, max:255
  • purchase_order_id (optional): integer, exists:purchase_orders,id
  • destination_warehouse_id (optional): integer, exists:warehouses,id

Permission: repairs.recovery. Authentication: Bearer token with the repairs:read / write scope.

Request​

Responses​

OK

Response Headers
    Content-Type